/*
 Bit-bang JTAG interface functions
 
 Copyright (c) 2008 Dimtel, Inc., All Rights Reserved

 $Id: jtag.h,v 1.1 2012/11/11 01:24:32 dim Exp $
 $Date: 2012/11/11 01:24:32 $
 $Author: dim $
 $Revision: 1.1 $
 $Log: jtag.h,v $
 Revision 1.1  2012/11/11 01:24:32  dim
 Moved from BxB, adapted to compile for both LLRF4 and IGP12

 Revision 1.1  2011/12/27 19:31:46  dim
 Updated to remove deprecated constructs (at, sfr, xdata, sbit)

 Revision 1.1.1.1  2009/06/02 20:25:58  dim
 Initial import

*/

#ifndef _JTAG_H_
#define _JTAG_H_

uchar jtag_rxtx(uchar value);
void  jtag_block_write(__xdata uchar *buf, uchar len);
void  jtag_block_write1(__xdata uchar *buf, uchar len);

#endif /* _JTAG_H_ */
