/*
 USB IDs and descriptor strings: selector
 
 Copyright (c) 2012 Dimtel, Inc., All Rights Reserved

 $Id$
 $Date$
 $Author$
 $Revision$
 $Log$

*/

#ifndef _BOARD_IDS_H_
#define _BOARD_IDS_H_

#include "llrf41_usb.h"
#include "iGp12_usb.h"


#ifdef LLRF4
#define VENDID	LLRF4_VID
#define PRODID  LLRF4_PID
#define DEVID	LLRF4_DID

#define iManufacturer LLRF4_iManufacturer
#define iProduct      LLRF4_iProduct
#define iSerial       LLRF4_iSerial
#define iInter0Alt0HS LLRF4_iInter0Alt0HS
#define iInter0Alt1HS LLRF4_iInter0Alt1HS
#define iInter0Alt0FS LLRF4_iInter0Alt0FS
#define iInter0Alt1FS LLRF4_iInter0Alt1FS
#endif

#ifdef IGP12
#define VENDID	IGP12_VID
#define PRODID  IGP12_PID
#define DEVID	IGP12_DID

#define iManufacturer IGP12_iManufacturer
#define iProduct      IGP12_iProduct
#define iSerial       IGP12_iSerial
#define iInter0Alt0HS IGP12_iInter0Alt0HS
#define iInter0Alt1HS IGP12_iInter0Alt1HS
#define iInter0Alt0FS IGP12_iInter0Alt0FS
#define iInter0Alt1FS IGP12_iInter0Alt1FS
#endif

#define N_DESC_STRINGS	8

#endif /* _BOARD_IDS_H_ */
