/*
 I2C EEPROM address and location definitions
 
 Copyright (c) 2008-2012 Dimtel, Inc., All Rights Reserved

 $Id: llrf41_usb.h,v 1.2 2011/12/27 19:49:01 dim Exp $
 $Date: 2011/12/27 19:49:01 $
 $Author: dim $
 $Revision: 1.2 $
 $Log: llrf41_usb.h,v $
 Revision 1.2  2011/12/27 19:49:01  dim
 Removed extra comment closure

 Revision 1.1  2011/12/27 19:34:26  dim
 Initial import


*/

#ifndef _EEPROM_H_
#define _EEPROM_H_

/* EEPROM on I2C bus */
#define I2C_EEPROM_ADDR		0x51

/* Location 16 - serial number location */
#define EEPROM_SERIAL		0x10
#define EEPROM_SERIAL_HDR1	0x5a
#define EEPROM_SERIAL_HDR2	0xfe

/* Location 32 - offsets block */
#define EEPROM_OFFSETS	0x20

#endif /* _EEPROM_H_ */
